<template>
    <q-layout view="lHh Lpr lff">
      <q-page-container>
        <router-view /> 
      </q-page-container>
    </q-layout>
</template>



<script>
import EssentialLink from 'components/EssentialLink'
import { date } from 'quasar'

export default {
  name: 'MainLayout',

  components: {
    EssentialLink
  },

  
  data () {
    return {
      drawer: false
    }
  },
  computed: {
    todaysDate(){
      let timeStamp = Date.now()
      return date.formatDate(timeStamp, 'dddd, D MMMM YYYY', {
        days: ['Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu'],
        daysShort: ['Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab', 'Min'],
        months: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
        monthsShort: ['Jan', 'Feb','Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Ag', 'Sep', 'Okt', 'Nov', 'Des']
      })
      // <div class="text-h5">{{ todaysDate }}</div>
    }
  }
}
</script>
